package jrummikub.view;

import jrummikub.model.PlayerSettings;
import jrummikub.model.Score;

/**
 * The panel the scores are displayed in
 */
public interface IScorePanel {
	/**
	 * Sets the scores of the played rounds
	 * 
	 * @param scores
	 *          the round scores
	 */
	public void setScores(Iterable<Score> scores);

	/**
	 * Sets the accumulated scores to display
	 * 
	 * @param accumulatedScore
	 *          the accumulated score
	 */
	public void setAccumulatedScore(Score accumulatedScore);

	/**
	 * Sets the player list to display
	 * 
	 * @param players
	 *          the player list
	 */
	void setPlayers(Iterable<PlayerSettings> players);

	/**
	 * Updates the score display
	 */
	void update();
}
